version: "3.7"
services:
  ###########################################################################
  # Proxy
  #
  ###########################################################################
  # nginx:
  #   image: nginx:alpine
  #   container_name: nginx
  #   restart: unless-stopped
  #   ports:
  #     - 8000:80
  #   volumes:
  #     - ./:/var/www
  #     - ./docker/nginx:/etc/nginx/conf.d/
    # networks:
    #   - development

  ###########################################################################
  # Server
  #
  ###########################################################################
  # app:
  #   container_name: app
  #   build:
  #     context: .
  #     dockerfile: Dockerfile.dev
  #   depends_on:
  #     - mysql
  #     - nginx
  #   tty: true
  #   stdin_open: true
  #   environment:
  #     ## REDIS
  #     REDIS_HOST: ${REDIS_HOST}
  #     REDIS_PORT: ${REDIS_PORT}
  #     REDIS_PASSWORD: ${REDIS_PASSWORD}
  #     ## MQTT
  #     MQTT_HOST: ${MQTT_HOST}
  #     MQTT_PORT: ${MQTT_PORT}
  #     MQTT_USERNAME: ${MQTT_USERNAME}
  #     MQTT_PASSWORD: ${MQTT_PASSWORD}
  #     ## DB
  #     DB_HOST: ${DB_HOST}
  #     DB_PORT: ${DB_PORT}
  #     DB_DATABASE: ${DB_DATABASE}
  #     DB_USERNAME: ${DB_USERNAME}
  #     DB_PASSWORD: ${DB_PASSWORD}
  #   volumes:
  #     - .:/app
  #   links:
  #    - redis
  #   ports:
  #     - 8080:8080
    # networks:
    #   - development

  ###########################################################################
  # Database
  #
  ###########################################################################
  mysql:
    image: mysql:5.7
    container_name: mysql
    restart: unless-stopped
    command: mysqld --character-set-server=utf8mb4 --collation-server=utf8mb4_unicode_ci
    ports:
      - 3306:3306
    environment:
      TZ: 'America/Chicago'
      MYSQL_DATABASE: ${DB_DATABASE}
      MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
      MYSQL_PASSWORD: ${DB_PASSWORD}
      MYSQL_USER: ${DB_USERNAME}
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - ./docker/mysql:/docker-entrypoint-initdb.d
      - ./docker/mysql/my.cnf:/etc/mysql/conf.d/my.cnf
    # networks:
    #   - development

  ###########################################################################
  # PHPMyAdmin
  #
  ###########################################################################
  phpmyadmin:
    depends_on:
      - mysql
    image: phpmyadmin/phpmyadmin
    container_name: phpmymadmin
    restart: unless-stopped
    ports:
      - "8081:80"
    environment:
      PMA_HOST: mysql
      MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
      MYSQL_PASSWORD: ${DB_PASSWORD}
      MYSQL_USER: ${DB_USERNAME}
    # networks:
    #   - development

  ###########################################################################
  # Redis
  #
  ###########################################################################
  # redis:
  #   image: redis:6-alpine
  #   container_name: redis
  #   restart: unless-stopped
  #   volumes:
  #     # - ./docker/redis:/redis/data
  #     - ./docker/redis/redis.conf:/usr/local/etc/redis/redis.conf
  #   ports:
  #     - "6379:6379"
  #   command: redis-server /usr/local/etc/redis/redis.conf --requirepass mypassword
  #   # networks:
  #   #   - development
  # redis_ui:
  #   container_name: redis_ui
  #   restart: unless-stopped
  #   image: patrikx3/p3x-redis-ui:latest
  #   ports:
  #     - 7843:7843
  #   volumes:
  #     - ./docker/redis/redis-ui:/settings
    # networks:
    #   - development

# networks:
#   development:
#     driver: bridge